package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 钢种改判表(PmSgDetermine)实体类
 *
 * @author BKGY
 * @since 2025-01-17 14:25:14
 */

@ApiModel("钢种改判表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_SG_DETERMINE")
public class PmSgDetermine extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -65933150284413337L;

    public static final String FIELD_ID = "id";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_LINKUP_ST_NO = "linkupStNo";
    public static final String FIELD_ALTERABLE_ST_NO = "alterableStNo";
    public static final String FIELD_MSC_LINE_NO = "mscLineNo";
    public static final String FIELD_IS_FLAG = "isFlag";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long id;

    @ApiModelProperty(value = "钢种")
    private String stNo;

    @ApiModelProperty(value = "衔接钢种")
    private String linkupStNo;

    @ApiModelProperty(value = "改判钢种")
    private String alterableStNo;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty(value = "是否有效")
    private String isFlag;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStNo() {
        return stNo;
    }

    public void setStNo(String stNo) {
        this.stNo = stNo;
    }

    public String getLinkupStNo() {
        return linkupStNo;
    }

    public void setLinkupStNo(String linkupStNo) {
        this.linkupStNo = linkupStNo;
    }

    public String getAlterableStNo() {
        return alterableStNo;
    }

    public void setAlterableStNo(String alterableStNo) {
        this.alterableStNo = alterableStNo;
    }

    public String getMscLineNo() {
        return mscLineNo;
    }

    public void setMscLineNo(String mscLineNo) {
        this.mscLineNo = mscLineNo;
    }

    public String getIsFlag() {
        return isFlag;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    public String getAttribute4() {
        return attribute4;
    }

    public void setAttribute4(String attribute4) {
        this.attribute4 = attribute4;
    }

    public String getAttribute5() {
        return attribute5;
    }

    public void setAttribute5(String attribute5) {
        this.attribute5 = attribute5;
    }

}

